Subject: Re: bug#9101: timeout should use setitimer if available

From: Jim Meyering <[email-masked]>
Date: Sun, 17 Jul 2011 11:59:00 +0200

Paul Eggert wrote:
> setitimer has nanosecond resolution, which is better than the
> one-second resolution that 'alarm' has.  timeout should use
> setitimer if available, to take advantage of this.  On 64-bit
> hosts, this has the additional advantage of increasing the
> upper bound for timeouts from 2**31 seconds to 2**63 seconds
> (about 68 years to about 292 billion years, which should be
> long enough for most practical purposes :-).

I like the idea of supporting a sub-second timeout interval, but it
probably deserves a warning in the documentation.  Even a command like
"timeout 3 sleep 1" will timeout on a system under heavy load.